﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using KinectProtocol.Properties;
using WatcherCommons.Interfaces;

namespace KinectProtocol
{
    public partial class CameraConfiguration : Form, ICameraSetupManager
    {
        public CameraConfiguration()
        {
            InitializeComponent();
            Text = UIResources.CAP_CONFIG;
            rbColor.Text = UIResources.LAB_COLOR;
            rbInfrared.Text = UIResources.LAB_INFRARED;
        }

        public event EventHandler OnFrameSizeChanged = null;

        public KinectCamera Camera { get; set; }
        public int Resolution { get; set; }
        public void ReloadSettings()
        {
            rbColor.Checked = Resolution == 0;
            rbInfrared.Checked = Resolution != 0;
        }

        private void rbColor_CheckedChanged(object sender, EventArgs e)
        {
            Resolution = rbColor.Checked ? 0 : 1;
            Camera.SetResolution(Resolution);
            OnFrameSizeChanged?.Invoke(this, EventArgs.Empty);
        }
    }
}
